Lists actions for a company with pagination and filtering.

Similar to contact actions endpoint. See GET /api/v1/network/contacts/{id}/actions for detailed examples.

Path Parameters
  • id
    Type: string
    required

    Company ID

Query Parameters
  • cursor
    Type: string

    Pagination cursor from previous response

  • page_size
    Type: integer | string Pattern: ^-?(?:0|[1-9]\d*)$Format: int32

    Signed 32-bit integers (commonly used integer type).

  • type
    Type: string

    Filter by action type: all (default), audit, notes

  • include_archived
    Type: boolean

    Include archived notes (rows with archivedAt set) in the response. Default false hides them. Archived predecessors of a supersede chain are still hidden unless include_superseded is also set.

  • include_superseded
    Type: boolean

    Include superseded predecessor notes (notes that have been replaced by a newer revision) in the response. Default false returns only the active head of each supersede chain.

Responses
  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for get/api/v1/network/companies/{id}/actions
curl 'https://app.propstreet.com/api/v1/network/companies/{id}/actions' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": [
    {
      "id": "string",
      "type": "string",
      "source": null,
      "event": null,
      "importId": null,
      "timestampUtc": "2026-08-13T21:32:28.853Z",
      "user": {
        "id": "string",
        "name": "string"
      },
      "details": {
        "kind": "note",
        "message": "string",
        "noteType": null,
        "file": {
          "id": "string",
          "fileName": "string",
          "url": null
        },
        "oauthClientId": null,
        "idempotencyKey": null,
        "archivedAt": null,
        "supersedesActivityId": null,
        "supersededByActivityId": null
      },
      "etag": "string",
      "cursor": "string"
    }
  ],
  "page": {
    "nextCursor": null,
    "pageSize": 1,
    "hasMore": true
  }
}